#ifndef MDD_IINPUT_H
#define MDD_IINPUT_H

#include "IUnique.h"
#include "IOutput.h"
namespace mdd{
    class IInput : public IUnique{
    public:
        virtual const json& getValue() = 0;
        virtual json& setDefaultValue() = 0;
        virtual bool verify(const json & data) = 0;
        virtual bool connect(std::shared_ptr<IOutput> output) = 0;
        virtual ~IInput() = default;
    };
}
#endif
